Package com.databricks.jdbc.common.util

## Enum VolumeUtil.VolumeOperationType

- java.lang.Object
- - java.lang.Enum<VolumeUtil.VolumeOperationType>
  - - com.databricks.jdbc.common.util.VolumeUtil.VolumeOperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<VolumeUtil.VolumeOperationType>`

Enclosing class:
  VolumeUtil

    public static enum VolumeUtil.VolumeOperationType
    extends Enum<VolumeUtil.VolumeOperationType>

Enum to represent the Volume Operation Type

### Enum Constant Summary

Enum Constants
`GET`
`OTHER`
`PUT`
`REMOVE`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `constructListPath​(String catalog, String schema, String volume, String path)`
`static VolumeUtil.VolumeOperationType` `fromString​(String text)`
`static VolumeUtil.VolumeOperationType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static VolumeUtil.VolumeOperationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final VolumeUtil.VolumeOperationType GET

#### PUT

    public static final VolumeUtil.VolumeOperationType PUT

#### REMOVE

    public static final VolumeUtil.VolumeOperationType REMOVE

#### OTHER

    public static final VolumeUtil.VolumeOperationType OTHER

### Method Detail

#### values

    public static VolumeUtil.VolumeOperationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VolumeUtil.VolumeOperationType c : VolumeUtil.VolumeOperationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VolumeUtil.VolumeOperationType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static VolumeUtil.VolumeOperationType fromString​(String text)

#### constructListPath

    public static String constructListPath​(String catalog,
                                           String schema,
                                           String volume,
                                           String path)